Ubuntu

udev-configure-printer crashed with SIGSEGV in __libc_start_main()

Reported by morbidslug on 2011-04-14
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
High
Unassigned
Natty
High
Unassigned

Bug Description

Binary package hint: system-config-printer

the lovely epson sx218, got it working under ubuntu 10.whatever, not in 11 tho... :(

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: system-config-printer-udev 1.3.1+20110222-0ubuntu13
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CupsErrorLog:
 E [14/Apr/2011:14:00:49 +0100] Returning IPP server-error-internal-error for CUPS-Add-Modify-Printer (ipp://localhost/printers/Sechat) from localhost
 E [14/Apr/2011:14:00:57 +0100] Returning IPP server-error-internal-error for CUPS-Add-Modify-Printer (ipp://localhost/printers/Sechat) from localhost
Date: Thu Apr 14 14:09:45 2011
ExecutablePath: /lib/udev/udev-configure-printer
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
Lpstat:

MachineType: Gigabyte Technology Co., Ltd. X58A-UD3R
Papersize: a4
ProcCmdline: /lib/udev/udev-configure-printer remove /devices/pci0000:00/0000:00:1d.7/usb2/2-3
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=50f29b3f-63cb-49f5-a43d-17c940ec4b86 ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7f405bb390f8: movzbl (%rdi),%edx
 PC (0x7f405bb390f8) ok
 source "(%rdi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: system-config-printer
StacktraceTop:
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 ?? ()
 ?? ()
 __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
 ?? ()
Title: udev-configure-printer crashed with SIGSEGV in __libc_start_main()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 04/20/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: FA
dmi.board.name: X58A-UD3R
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFA:bd04/20/2010:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD3R:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD3R:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: X58A-UD3R
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

morbidslug (morbidslug) wrote :

StacktraceTop:
 __strstr_sse42 (s1=0x0, s2=0x404f96 "interface=") at ../sysdeps/x86_64/multiarch/strstr.c:179
 for_each_matching_queue (device_uris=0x198f420, flags=<value optimized out>, fn=0x4027f0 <disable_queue>, usblpdev=0x7fff2e38f740 "", context=0x0, usblpdevlen=<value optimized out>) at udev/udev-configure-printer.c:1244
 do_remove (argc=<value optimized out>, argv=<value optimized out>) at udev/udev-configure-printer.c:1600
 main (argc=<value optimized out>, argv=<value optimized out>) at udev/udev-configure-printer.c:1631

Changed in system-config-printer (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Till Kamppeter (till-kamppeter) wrote :

Tim, can you have a look into this?

visibility: private → public
Tim Waugh (twaugh) wrote :

CUPS answered a CUPS-Get-Printers request with a response that was missing a device-uri attribute, despite the fact that our request contained device-uri in the requested-attributes list.

I've added some defensive code for this situation:
  2a2ba2c3f98c630c3942760f92c06bda41c6fe0c

Till Kamppeter (till-kamppeter) wrote :

Thank you very much, Tim. I will apply this patch as a Stable Release Update (SRU) for Natty. Before, I will look into whether this SRU can also contain other fixes.

Changed in system-config-printer (Ubuntu):
status: New → Triaged
Till Kamppeter (till-kamppeter) wrote :

Uploaded a fixed package to natty-proposed (1.3.1+20110222-0ubuntu16.2, debdiff attached). As soon as the package gets approved please test it and report your results here. Thanks.

Changed in system-config-printer (Ubuntu):
milestone: none → natty-updates
status: Triaged → Fix Committed
tags: added: patch
Changed in system-config-printer (Ubuntu):
importance: Medium → High

Accepted system-config-printer into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package system-config-printer - 1.3.3+20110602-0ubuntu1

---------------
system-config-printer (1.3.3+20110602-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o GIT 1.3.x snapshot from 2 June 2011
     o State of 1.3.3 release
     o Main application
        - Set translation domain for ServerSettingsDialog (LP: #777188).
        - scp-dbus-service: Ignore setlocale() errors (LP: #748964).
        - Allow % character in SMB URI (LP: #747400).
        - More error handling (LP: #744783).
        - Avoid traceback if printer duplication fails (Red Hat bug #694629).
        - Fixed off-by-one error in monitor.
        - Fixed printer renaming (LP: #726954).
        - Set connected state when connecting to server fails (Red Hat bug
   #685098).
        - Handle the situation where cupsd has died/restarted more gracefully.
     o Printer Properties dialog:
        - Added PrinterModified D-Bus signal to printer properties interface.
        - More robustness for printer properties dialog when printer removed
          (LP: #741987).
        - Just hide Printer Properties dialog on delete-event (LP: #729966).
        - Extra job options: print-quality, printer-resolution, output-bin.
        - Automatically show horizontal scrollbar in job options screen.
        - Ignore "output-mode-default" attribute as it is not settable.
        - Handle IPP_TAG_RESOLUTION types (requires pycups-1.9.55).
        - Don't traceback if option value cannot be handled.
        - Fixed traceback in options.py (Red Hat bug #679103).
     o New Printer dialog
        - Fixed PPDs loader when using CUPS remotely or when DBus not available
          (Red Hat bug #693515).
        - Handle failure to load PPDs more gracefully (LP: #742409).
        - Avoid traceback when cancelling New Printer dialog after failure.
        - Make sure everything is ready before handlers might be called (Red
   Hat bug #689336).
        - Handle URIs in Find Network Printer entry, and use 'Enter URI'
   instead of 'Other' (Red Hat bug #685091).
        - Use "Do It Later" instead of "Cancel" for adjust firewall dialog
   (Upstream bug #213).
        - Fixed an instance where NewPrinterGUI might not have self.printers
   set (Red Hat bug #680683).
        - IPPHostname can contain colon (to specify port).
        - Fixed automatic driver installation when changing the driver.
        - Removed stale code left over from conversion to gobjects.
        - Ensure all uses of ppdsloader supply the Device ID.
        - Fixed some small typos in newprinter --help output.
        - Prevent traceback after 2nd drivers search dialog is cancelled (Red
   Hat bug #680288).
     o Driver handling:
        - Activated and fixed testing mode for device ID/driver association
        - Match HP-Fax2/3/... PPDs, as well as Ubuntu/Debian hpijs-ppds
          packages.
        - preferreddrivers.xml: Identify hpcups and hpijs fax PPDs.
        - Match native hpijs driver (drv:///hp/hpijs.drv/...) as "hpijs".
        - Handle Ubuntu locations of hpcups.drv and hpijs.drv.
        - preferreddrivers.xml: match OpenPrinting gutenprint PPD names as
          gutenprint.
    ...

Read more...

Changed in system-config-printer (Ubuntu):
status: Fix Committed → Fix Released
dino99 (9d9) wrote :
Changed in system-config-printer (Ubuntu Natty):
status: Fix Committed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers